summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
-rwxr-xr-xruntests.sh4
1 files changed, 3 insertions, 1 deletions
diff --git a/runtests.sh b/runtests.sh
index 85030d0b..c4c4137f 100755
--- a/runtests.sh
+++ b/runtests.sh
@@ -144,8 +144,10 @@ if [ -f /usr/bin/whoami ]; then
testuser=`/usr/bin/whoami`
elif [ -f /usr/ucb/whoami ]; then
testuser=`/usr/ucb/whoami`
+elif [ -f /bin/whoami ]; then
+ testuser=`/bin/whoami`
else
- testuser=`id -un || whoami || echo ${LOGNAME:-${USERNAME:-${USER:-'UNKNOWN'}}}`
+ testuser=`id -un 2>/dev/null || echo ${LOGNAME:-${USERNAME:-${USER:-'UNKNOWN'}}}`
fi
echo " testuser=$testuser"